Skip to main content
PATCH
Update an epic

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".

epic_id
string
required

Epic ID is a numerical string that identifies an Epic. This is externally referred to as a "Project".

Body

application/json

Card fields that need to be updated. All omitted fields are left unmodified.

icon
object
title
string | null
Example:

"My Card"

list_id
string | null
Example:

"114"

owner_id
string | null
start_date
integer<int64> | null

unix timestamp in seconds

Example:

1608742037016

due_date
integer<int64> | null

unix timestamp in seconds

Example:

1608742037016

position
integer | null

a position where the epic should be placed in the list

Example:

5

priority
integer | null
Required range: 0 <= x <= 4
Example:

1

archived
boolean | null

make this card archived/unarchived

Example:

true

cover_image
object

Response

updated epic card

epic
object